function checkLanguage() {
    var lang = window.navigator.language;
    if (lang.startsWith("es")) {
        $("#btn_flash").val('Flash ⚡').button("refresh");
        $("#btn_rotate").val('Rotar ↪️').button("refresh");
        $("#btn_switch").val('Cambiar cámara 📷🔄').button("refresh");
        $("#btn_save_photo").val('Guardar foto 📷').button("refresh");
        $("#btn_save_video").val('Grabar vídeo 🎥').button("refresh");
        $("#btn_listen").val('Escuchar 🔊').button("refresh");
        $("#resolution").text('Resolución de la cámara');
        $("#error_camera").text('Error conectando con BabyCam');
        $("#error_camera2").text('Comprueba si tu dispositivo se ha desconectado');
    } else if (lang.startsWith("pt")) {
        $("#btn_flash").val('Flash ⚡')
        $("#btn_rotate").val('Girar ↪️').button("refresh");
        $("#btn_switch").val('Alternar câmera 📷🔄').button("refresh");
        $("#btn_save_photo").val('Salvar foto 📷').button("refresh");
        $("#btn_save_video").val('Salvar vídeo 🎥').button("refresh");
        $("#btn_listen").val('Ouvir 🔊').button("refresh");
        $("#resolution").text('Resolução da câmera');
        $("#error_camera").text('Erro ao conectar com BabyCam');
        $("#error_camera2").text('Verifique se o seu dispositivo está desconectado');
    } else if (lang.startsWith("ru")) {
        $("#btn_flash").val('вспышка ⚡')
        $("#btn_rotate").val('Поворот ↪️').button("refresh");
        $("#btn_switch").val('Переключить камеру 📷🔄').button("refresh");
        $("#btn_save_photo").val('Сохранить фото 📷').button("refresh");
        $("#btn_save_video").val('Сохранить видео 🎥').button("refresh");
        $("#btn_listen").val('Слушать 🔊').button("refresh");
        $("#zoom").text('Увеличить 🔍')
        $("#resolution").text('Разрешение камеры');
        $("#error_camera").text('Ошибка соединения с BabyCam');
        $("#error_camera2").text('Проверьте, не отключено ли ваше устройство');
    } else if (lang.startsWith("pl")) {
        $("#btn_flash").val('Lampa błyskowa ⚡')
        $("#btn_rotate").val('Obracać się ↪️').button("refresh");
        $("#btn_switch").val('Przełącz aparat 📷🔄').button("refresh");
        $("#btn_save_photo").val('Zapisz zdjęcie 📷').button("refresh");
        $("#btn_save_video").val('Zapisz wideo 🎥').button("refresh");
        $("#btn_listen").val('Słuchać 🔊').button("refresh");
        $("#zoom").text('Powiększenie 🔍')
        $("#resolution").text('Rozdzielczość kamery');
        $("#error_camera").text('Błąd połączenia z BabyCam');
        $("#error_camera2").text('Verificați dacă dispozitivul dvs. este deconectat');
    } else if (lang.startsWith("de")) {
        $("#btn_flash").val('Blitz ⚡')
        $("#btn_rotate").val('Drehen ↪️').button("refresh");
        $("#btn_switch").val('Kamera wechseln 📷🔄').button("refresh");
        $("#btn_save_photo").val('Foto speichern 📷').button("refresh");
        $("#btn_save_video").val('Video speichern 🎥').button("refresh");
        $("#btn_listen").val('Zuhören 🔊').button("refresh");
        $("#zoom").text('Zoomen 🔍')
        $("#resolution").text('Kameraauflösung');
        $("#error_camera").text('Fehler beim Verbinden mit BabyCam');
        $("#error_camera2").text('Überprüfen Sie, ob Ihr Gerät nicht angeschlossen ist');
    } else if (lang.startsWith("tr")) {
        $("#btn_flash").val('Flaş ⚡')
        $("#btn_rotate").val('Döndürme ↪️').button("refresh");
        $("#btn_switch").val('Kamera değiştir 📷🔄').button("refresh");
        $("#btn_save_photo").val('Fotoğrafı kaydet 📷').button("refresh");
        $("#btn_save_video").val('Videoyu kaydet 🎥').button("refresh");
        $("#btn_listen").val('Dinlemek 🔊').button("refresh");
        $("#zoom").text('Yakınlaştırma 🔍')
        $("#resolution").text('Kamera çözünürlüğü');
        $("#error_camera").text('BabyCam ile bağlantı hatası');
        $("#error_camera2").text('Überprüfen Sie, ob Ihr Gerät nicht angeschlossen ist');
    } else if (lang.startsWith("ar")) {
        $("#btn_flash").val('فلاش ⚡')
        $("#btn_rotate").val('استدارة ↪️').button("refresh");
        $("#btn_switch").val('تبديل الكاميرا 📷🔄').button("refresh");
        $("#btn_save_photo").val('احفظ الصورة 📷').button("refresh");
        $("#btn_save_video").val('حفظ الفيديو 🎥').button("refresh");
        $("#btn_listen").val('للاستماع 🔊').button("refresh");
        $("#zoom").text('تكبير 🔍')
        $("#resolution").text('دقة الكاميرا');
        $("#error_camera").text('خطأ في الاتصال مع BabyCam');
        $("#error_camera2").text('تحقق مما إذا كان جهازك غير متصل');
    } else if (lang.startsWith("ro")) {
        $("#btn_flash").val('Bliț ⚡')
        $("#btn_rotate").val('Roti ↪️').button("refresh");
        $("#btn_switch").val('Porniți camera 📷🔄').button("refresh");
        $("#btn_save_photo").val('Salvează poza 📷').button("refresh");
        $("#btn_save_video").val('Salvați videoclipul 🎥').button("refresh");
        $("#btn_listen").val('A asculta 🔊').button("refresh");
        $("#zoom").text('Zoom 🔍')
        $("#resolution").text('Rezoluția camerei');
        $("#error_camera").text('Eroare la conectarea cu BabyCam');
        $("#error_camera2").text('Verificați dacă dispozitivul dvs. este deconectat');
    } else if (lang.startsWith("fr")) {
        $("#btn_flash").val('Flash ⚡')
        $("#btn_rotate").val('Tourner ↪️').button("refresh");
        $("#btn_switch").val('Changer de caméra 📷🔄').button("refresh");
        $("#btn_save_photo").val('Enregistrer la photo 📷').button("refresh");
        $("#btn_save_video").val('Enregistrer la vidéo 🎥').button("refresh");
        $("#btn_listen").val('Écouter 🔊').button("refresh");
        $("#zoom").text('Zoom 🔍')
        $("#resolution").text('Résolution de la caméra');
        $("#error_camera").text('Erreur de connexion avec BabyCam');
        $("#error_camera2").text('Vérifiez si votre appareil est déconnecté');
    } else if (lang.startsWith("it")) {
        $("#btn_flash").val('Flash ⚡')
        $("#btn_rotate").val('Ruotare ↪️').button("refresh");
        $("#btn_switch").val('Cambia fotocamera 📷🔄').button("refresh");
        $("#btn_save_photo").val('Salva foto 📷').button("refresh");
        $("#btn_save_video").val('Salva video 🎥').button("refresh");
        $("#btn_listen").val('Ascoltare 🔊').button("refresh");
        $("#zoom").text('Zoom 🔍')
        $("#resolution").text('Risoluzione della fotocamera');
        $("#error_camera").text('Errore durante la connessione con BabyCam');
        $("#error_camera2").text('Controlla se il tuo dispositivo è disconnesso');
    } else if (lang.startsWith("be")) {
        $("#btn_flash").val('Ўспышка ⚡')
        $("#btn_rotate").val('Паварот ↪️').button("refresh");
        $("#btn_switch").val('Пераключальнік камеры 📷🔄').button("refresh");
        $("#btn_save_photo").val('Захаваць фота 📷').button("refresh");
        $("#btn_save_video").val('Захаваць відэа 🎥').button("refresh");
        $("#btn_listen").val('слухаць 🔊').button("refresh");
        $("#zoom").text('Павялічыць 🔍')
        $("#resolution").text('Дазвол камеры');
        $("#error_camera").text('Памылка пры падключэнні да BabyCam');
        $("#error_camera2").text('Пераканайцеся, што ваша прылада адключана');
    } else if (lang.startsWith("cs")) {
        $("#btn_flash").val('Blikat ⚡')
        $("#btn_rotate").val('Točit se ↪️').button("refresh");
        $("#btn_switch").val('Přepněte fotoaparát 📷🔄').button("refresh");
        $("#btn_save_photo").val('Uložit fotku 📷').button("refresh");
        $("#btn_save_video").val('Uložit video 🎥').button("refresh");
        $("#btn_listen").val('Poslouchat 🔊').button("refresh");
        $("#zoom").text('Павялічыць 🔍')
        $("#resolution").text('Дазвол камеры');
        $("#error_camera").text('Při připojování k BabyCam došlo k chybě');
        $("#error_camera2").text('Zkontrolujte, zda je zařízení odpojeno');
    } else if (lang.startsWith("zh")) {
        $("#btn_flash").val('闪 ⚡')
        $("#btn_rotate").val('旋转 ↪️').button("refresh");
        $("#btn_switch").val('切换相机 📷🔄').button("refresh");
        $("#btn_save_photo").val('保存照片 📷').button("refresh");
        $("#btn_save_video").val('保存视频 🎥').button("refresh");
        $("#btn_listen").val('听 🔊').button("refresh");
        $("#zoom").text('放大 🔍')
        $("#resolution").text('相机分辨率');
        $("#error_camera").text('与BabyCam连接时出错');
        $("#error_camera2").text('检查您的设备是否断开连接');
    } else if (lang.startsWith("ko")) {
        $("#btn_flash").val('플래시 ⚡')
        $("#btn_rotate").val('회전 ↪️').button("refresh");
        $("#btn_switch").val('카메라 전환 📷🔄').button("refresh");
        $("#btn_save_photo").val('사진 저장하기 📷').button("refresh");
        $("#btn_save_video").val('동영상 저장 🎥').button("refresh");
        $("#btn_listen").val('들리다 🔊').button("refresh");
        $("#zoom").text('줌 🔍')
        $("#resolution").text('카메라 해상도');
        $("#error_camera").text('BabyCam 연결 오류');
        $("#error_camera2").text('기기 연결이 끊어 졌는지 확인');
    } else if (lang.startsWith("hr")) {
        $("#btn_flash").val('Bljesak ⚡')
        $("#btn_rotate").val('Rotirati ↪️').button("refresh");
        $("#btn_switch").val('Promijenite kameru 📷🔄').button("refresh");
        $("#btn_save_photo").val('Spremi fotografiju 📷').button("refresh");
        $("#btn_save_video").val('Spremi videozapis 🎥').button("refresh");
        $("#btn_listen").val('Slušati 🔊').button("refresh");
        $("#zoom").text('Zum 🔍')
        $("#resolution").text('Razlučivost kamere');
        $("#error_camera").text('Pogreška pri povezivanju s BabyCam');
        $("#error_camera2").text('Provjerite je li vaš uređaj isključen');
    } else if (lang.startsWith("da")) {
        $("#btn_flash").val('Blitz ⚡')
        $("#btn_rotate").val('Rotere ↪️').button("refresh");
        $("#btn_switch").val('Skift kamera 📷🔄').button("refresh");
        $("#btn_save_photo").val('Gem billede 📷').button("refresh");
        $("#btn_save_video").val('Gem video 🎥').button("refresh");
        $("#btn_listen").val('Lyt 🔊').button("refresh");
        $("#zoom").text('Zoom 🔍')
        $("#resolution").text('Kameraopløsning');
        $("#error_camera").text('Fejl ved forbindelse med BabyCam');
        $("#error_camera2").text('Kontroller, om din enhed er afbrudt');
    } else if (lang.startsWith("sk")) {
        $("#btn_flash").val('Blesk ⚡')
        $("#btn_rotate").val('Točiť sa ↪️').button("refresh");
        $("#btn_switch").val('Prepnite fotoaparát 📷🔄').button("refresh");
        $("#btn_save_photo").val('Uložiť fotku 📷').button("refresh");
        $("#btn_save_video").val('Uložiť video 🎥').button("refresh");
        $("#btn_listen").val('Počúvať 🔊').button("refresh");
        $("#zoom").text('Zoom 🔍')
        $("#resolution").text('Rozlíšenie fotoaparátu');
        $("#error_camera").text('Chyba pri pripájaní k BabyCam');
        $("#error_camera2").text('Skontrolujte, či je zariadenie odpojené');
    } else if (lang.startsWith("sl")) {
        $("#btn_flash").val('Flash ⚡')
        $("#btn_rotate").val('Zavrti ↪️').button("refresh");
        $("#btn_switch").val('Preklopite kamero 📷🔄').button("refresh");
        $("#btn_save_photo").val('Shrani fotografijo 📷').button("refresh");
        $("#btn_save_video").val('Shrani videoposnetek 🎥').button("refresh");
        $("#btn_listen").val('Poslušaj 🔊').button("refresh");
        $("#zoom").text('Zoom 🔍')
        $("#resolution").text('Ločljivost kamere');
        $("#error_camera").text('Napaka pri povezovanju z BabyCam');
        $("#error_camera2").text('Preverite, ali je naprava izključena');
    } else if (lang.startsWith("et")) {
        $("#btn_flash").val('Flash ⚡')
        $("#btn_rotate").val('Pööra ↪️').button("refresh");
        $("#btn_switch").val('Lülitage kaamera sisse 📷🔄').button("refresh");
        $("#btn_save_photo").val('Salvesta foto 📷').button("refresh");
        $("#btn_save_video").val('Salvesta video 🎥').button("refresh");
        $("#btn_listen").val('Kuula 🔊').button("refresh");
        $("#zoom").text('Suumi 🔍')
        $("#resolution").text('Kaamera eraldusvõime');
        $("#error_camera").text('Viga BabyCam ühenduse loomisel');
        $("#error_camera2").text('Kontrollige, kas teie seade on lahti ühendatud');
    } else if (lang.startsWith("fi")) {
        $("#btn_flash").val('Salama ⚡')
        $("#btn_rotate").val('Kiertää ↪️').button("refresh");
        $("#btn_switch").val('Vaihda kamera 📷🔄').button("refresh");
        $("#btn_save_photo").val('Tallenna valokuva 📷').button("refresh");
        $("#btn_save_video").val('Tallenna video 🎥').button("refresh");
        $("#btn_listen").val('Kuunnella 🔊').button("refresh");
        $("#zoom").text('Zoomaus 🔍')
        $("#resolution").text('Kameran resoluutio');
        $("#error_camera").text('Virhe muodostettaessa yhteyttä BabyCam');
        $("#error_camera2").text('Tarkista, onko laite kytketty irti');
    } else if (lang.startsWith("ka")) {
        $("#btn_flash").val('Flash ⚡')
        $("#btn_rotate").val('როტაცია ↪️').button("refresh");
        $("#btn_switch").val('გადართვა კამერა 📷🔄').button("refresh");
        $("#btn_save_photo").val('გადავარჩინოთ ფოტო 📷').button("refresh");
        $("#btn_save_video").val('ვიდეოს შენახვა 🎥').button("refresh");
        $("#btn_listen").val('მოუსმინეთ 🔊').button("refresh");
        $("#zoom").text('ზუმი 🔍')
        $("#resolution").text('კამერა რეზოლუცია');
        $("#error_camera").text('შეცდომა BabyCam- თან დაკავშირებისას');
        $("#error_camera2").text('შეამოწმეთ თუ არა თქვენი მოწყობილობა გათიშული');
    } else if (lang.startsWith("el")) {
        $("#btn_flash").val('Λάμψη ⚡')
        $("#btn_rotate").val('Γυρίζω ↪️').button("refresh");
        $("#btn_switch").val('Αλλαγή κάμερας 📷🔄').button("refresh");
        $("#btn_save_photo").val('Αποθήκευση φωτογραφίας 📷').button("refresh");
        $("#btn_save_video").val('Αποθήκευση βίντεο 🎥').button("refresh");
        $("#btn_listen").val('Για να ακούσω 🔊').button("refresh");
        $("#zoom").text('Ανίπταμαι διαγωνίως 🔍')
        $("#resolution").text('Ανάλυση φωτογραφικής μηχανής');
        $("#error_camera").text('Σφάλμα σύνδεσης με το BabyCam');
        $("#error_camera2").text('Ελέγξτε αν η συσκευή σας είναι αποσυνδεδεμένη');
    } else if (lang.startsWith("iw")) {
        $("#btn_flash").val('פלאש ⚡')
        $("#btn_rotate").val('סובב ↪️').button("refresh");
        $("#btn_switch").val('החלפת מצלמה 📷🔄').button("refresh");
        $("#btn_save_photo").val('שמור תמונה 📷').button("refresh");
        $("#btn_save_video").val('שמור סרטון 🎥').button("refresh");
        $("#btn_listen").val('להאזין 🔊').button("refresh");
        $("#zoom").text('זום 🔍')
        $("#resolution").text('מצלמה ברזולוציה');
        $("#error_camera").text('שגיאה בחיבור ל- BabyCam');
        $("#error_camera2").text('בדוק אם המכשיר שלך מנותק');
    } else if (lang.startsWith("hi")) {
        $("#btn_flash").val('फ़्लैश ⚡')
        $("#btn_rotate").val('घुमाएँ ↪️').button("refresh");
        $("#btn_switch").val('कैमरा स्विच करें 📷🔄').button("refresh");
        $("#btn_save_photo").val('तस्वीर को बचाने 📷').button("refresh");
        $("#btn_save_video").val('वीडियो सहेजें 🎥').button("refresh");
        $("#btn_listen").val('सुनना 🔊').button("refresh");
        $("#zoom").text('ज़ूम 🔍')
        $("#resolution").text('कैमरा रिज़ॉल्यूशन');
        $("#error_camera").text('बेबीकैम से जुड़ने में त्रुटि');
        $("#error_camera2").text('जांचें कि क्या आपका डिवाइस डिस्कनेक्ट हो गया है');
    } else if (lang.startsWith("hu")) {
        $("#btn_flash").val('Vaku ⚡')
        $("#btn_rotate").val('Forog ↪️').button("refresh");
        $("#btn_switch").val('Kapcsolja be a kamerát 📷🔄').button("refresh");
        $("#btn_save_photo").val('Fotó mentése 📷').button("refresh");
        $("#btn_save_video").val('Videó mentése 🎥').button("refresh");
        $("#btn_listen").val('Hallgat 🔊').button("refresh");
        $("#zoom").text('Zoomolás 🔍')
        $("#resolution").text('Kamera felbontása');
        $("#error_camera").text('बHiba történt a BabyCam való kapcsolat során');
        $("#error_camera2").text('Ellenőrizze, hogy az eszköz nincs-e csatlakoztatva');
    } else if (lang.startsWith("id")) {
        $("#btn_flash").val('Flash ⚡')
        $("#btn_rotate").val('Memutar ↪️').button("refresh");
        $("#btn_switch").val('Ganti kamera 📷🔄').button("refresh");
        $("#btn_save_photo").val('Menyimpan foto 📷').button("refresh");
        $("#btn_save_video").val('Simpan video 🎥').button("refresh");
        $("#btn_listen").val('Mendengarkan 🔊').button("refresh");
        $("#zoom").text('Zoom 🔍')
        $("#resolution").text('Resolusi kamera');
        $("#error_camera").text('Kesalahan saat terhubung dengan BabyCam');
        $("#error_camera2").text('Periksa apakah perangkat Anda terputus');
    } else if (lang.startsWith("is")) {
        $("#btn_flash").val('Flash ⚡')
        $("#btn_rotate").val('Snúa ↪️').button("refresh");
        $("#btn_switch").val('Skiptu myndavélinni 📷🔄').button("refresh");
        $("#btn_save_photo").val('Vista mynd 📷').button("refresh");
        $("#btn_save_video").val('Vista myndskeið 🎥').button("refresh");
        $("#btn_listen").val('Hlustaðu 🔊').button("refresh");
        $("#zoom").text('Zoom 🔍')
        $("#resolution").text('Upplausn myndavélar');
        $("#error_camera").text('Villa við tengingu við BabyCam');
        $("#error_camera2").text('Athugaðu hvort tækið þitt sé aftengt');
    } else if (lang.startsWith("ja")) {
        $("#btn_flash").val('フラッシュ ⚡')
        $("#btn_rotate").val('回転させる ↪️').button("refresh");
        $("#btn_switch").val('カメラを切り替える 📷🔄').button("refresh");
        $("#btn_save_photo").val('写真を保存する 📷').button("refresh");
        $("#btn_save_video").val('ビデオを保存 🎥').button("refresh");
        $("#btn_listen").val('聞くために 🔊').button("refresh");
        $("#zoom").text('ズーム 🔍')
        $("#resolution").text('カメラの解像度');
        $("#error_camera").text('BabyCamとの接続エラー');
        $("#error_camera2").text('デバイスが切断されていないか確認してください');
    } else if (lang.startsWith("lv")) {
        $("#btn_flash").val('Flash ⚡')
        $("#btn_rotate").val('Pagriezt ↪️').button("refresh");
        $("#btn_switch").val('Pārslēgt kameru 📷🔄').button("refresh");
        $("#btn_save_photo").val('Saglabāt fotoattēlu 📷').button("refresh");
        $("#btn_save_video").val('Saglabāt videoklipu 🎥').button("refresh");
        $("#btn_listen").val('Klausieties 🔊').button("refresh");
        $("#zoom").text('Tālummaiņa 🔍')
        $("#resolution").text('Kameras izšķirtspēja');
        $("#error_camera").text('Kļūda savienojumā ar BabyCam');
        $("#error_camera2").text('Pārbaudiet, vai ierīce ir atvienota');
    } else if (lang.startsWith("lt")) {
        $("#btn_flash").val('Blykstė ⚡')
        $("#btn_rotate").val('Pasukti ↪️').button("refresh");
        $("#btn_switch").val('Perjunkite fotoaparatą 📷🔄').button("refresh");
        $("#btn_save_photo").val('Išsaugoti nuotrauką 📷').button("refresh");
        $("#btn_save_video").val('Išsaugoti vaizdo įrašą 🎥').button("refresh");
        $("#btn_listen").val('Klausykitės 🔊').button("refresh");
        $("#zoom").text('Padidinti 🔍')
        $("#resolution").text('Kameros raiška');
        $("#error_camera").text('Klaida jungiantis prie „BabyCam“');
        $("#error_camera2").text('Patikrinkite, ar jūsų įrenginys nėra atjungtas');
    } else if (lang.startsWith("ms")) {
        $("#btn_flash").val('Kilat ⚡')
        $("#btn_rotate").val('Putar ↪️').button("refresh");
        $("#btn_switch").val('Tukar kamera 📷🔄').button("refresh");
        $("#btn_save_photo").val('Simpan gambar 📷').button("refresh");
        $("#btn_save_video").val('Simpan video 🎥').button("refresh");
        $("#btn_listen").val('Dengar 🔊').button("refresh");
        $("#zoom").text('Zum 🔍')
        $("#resolution").text('Resolusi kamera');
        $("#error_camera").text('Ralat bersambung dengan BabyCam');
        $("#error_camera2").text('Periksa sama ada peranti anda terputus');
    } else if (lang.startsWith("nl")) {
        $("#btn_flash").val('Flash ⚡')
        $("#btn_rotate").val('Draaien ↪️').button("refresh");
        $("#btn_switch").val('Wissel camera 📷🔄').button("refresh");
        $("#btn_save_photo").val('Foto opslaan 📷').button("refresh");
        $("#btn_save_video").val('Video opslaan 🎥').button("refresh");
        $("#btn_listen").val('Luister 🔊').button("refresh");
        $("#zoom").text('Zoom 🔍')
        $("#resolution").text('Cameraresolutie');
        $("#error_camera").text('Fout bij verbinding maken met BabyCam');
        $("#error_camera2").text('Controleer of uw apparaat is losgekoppeld');
    } else if (lang.startsWith("no")) {
        $("#btn_flash").val('Blits ⚡')
        $("#btn_rotate").val('Rotere ↪️').button("refresh");
        $("#btn_switch").val('Bytt kamera 📷🔄').button("refresh");
        $("#btn_save_photo").val('Lagre bildet 📷').button("refresh");
        $("#btn_save_video").val('Lagre video 🎥').button("refresh");
        $("#btn_listen").val('Lytte 🔊').button("refresh");
        $("#zoom").text('Zoom 🔍')
        $("#resolution").text('Kameraoppløsning');
        $("#error_camera").text('Feil ved tilkobling med BabyCam');
        $("#error_camera2").text('Sjekk om enheten er koblet fra');
    } else if (lang.startsWith("fa")) {
        $("#btn_flash").val('فلاش ⚡')
        $("#btn_rotate").val('چرخش ↪️').button("refresh");
        $("#btn_switch").val('دوربین را عوض کنید 📷🔄').button("refresh");
        $("#btn_save_photo").val('ذخیره عکس 📷').button("refresh");
        $("#btn_save_video").val('ذخیره ویدئو 🎥').button("refresh");
        $("#btn_listen").val('گوش بده 🔊').button("refresh");
        $("#zoom").text('بزرگنمایی 🔍')
        $("#resolution").text('وضوح تصویر');
        $("#error_camera").text('خطایی در ارتباط با BabyCam');
        $("#error_camera2").text('بررسی کنید که آیا دستگاه شما قطع شده است یا خیر');
    } else if (lang.startsWith("sr")) {
        $("#btn_flash").val('Фласх ⚡')
        $("#btn_rotate").val('Ротате ↪️').button("refresh");
        $("#btn_switch").val('Свитцх цамера 📷🔄').button("refresh");
        $("#btn_save_photo").val('Сачувај фотографију 📷').button("refresh");
        $("#btn_save_video").val('Сачувај видео 🎥').button("refresh");
        $("#btn_listen").val('Слушај 🔊').button("refresh");
        $("#zoom").text('Зоом 🔍')
        $("#resolution").text('Резолуција камере');
        $("#error_camera").text('Грешка у повезивању с БабиЦамом');
        $("#error_camera2").text('Проверите да ли је ваш уређај искључен');
    } else if (lang.startsWith("sv")) {
        $("#btn_flash").val('Blixt ⚡')
        $("#btn_rotate").val('Rotera ↪️').button("refresh");
        $("#btn_switch").val('Byt kamera 📷🔄').button("refresh");
        $("#btn_save_photo").val('Spara bild 📷').button("refresh");
        $("#btn_save_video").val('Spara video 🎥').button("refresh");
        $("#btn_listen").val('Lyssna 🔊').button("refresh");
        $("#zoom").text('Zoom 🔍')
        $("#resolution").text('Kameraupplösning');
        $("#error_camera").text('Fel vid anslutning till BabyCam');
        $("#error_camera2").text('Kontrollera om din enhet är frånkopplad');
    } else if (lang.startsWith("th")) {
        $("#btn_flash").val('แฟลช ⚡')
        $("#btn_rotate").val('หมุน ↪️').button("refresh");
        $("#btn_switch").val('สลับกล้อง 📷🔄').button("refresh");
        $("#btn_save_photo").val('บันทึกรุปภาพ 📷').button("refresh");
        $("#btn_save_video").val('บันทึกวิดีโอ 🎥').button("refresh");
        $("#btn_listen").val('ฟัง 🔊').button("refresh");
        $("#zoom").text('ซูม 🔍')
        $("#resolution").text('ความละเอียดกล้อง');
        $("#error_camera").text('เกิดข้อผิดพลาดในการเชื่อมต่อกับ BabyCam');
        $("#error_camera2").text('ตรวจสอบว่าอุปกรณ์ของคุณไม่ได้เชื่อมต่อ');
    } else if (lang.startsWith("uk")) {
        $("#btn_flash").val('Flash ⚡')
        $("#btn_rotate").val('Повернути ↪️').button("refresh");
        $("#btn_switch").val('Увімкніть камеру 📷🔄').button("refresh");
        $("#btn_save_photo").val('Зберегти фото 📷').button("refresh");
        $("#btn_save_video").val('Зберегти відео 🎥').button("refresh");
        $("#btn_listen").val('Слухайте 🔊').button("refresh");
        $("#zoom").text('Збільшити 🔍')
        $("#resolution").text('Дозвіл камери');
        $("#error_camera").text('เПомилка підключення до BabyCam');
        $("#error_camera2").text('Перевірте, чи не відключено ваш пристрій');
    } else if (lang.startsWith("vi")) {
        $("#btn_flash").val('Đèn flash ⚡')
        $("#btn_rotate").val('Quay ↪️').button("refresh");
        $("#btn_switch").val('Đổi camera 📷🔄').button("refresh");
        $("#btn_save_photo").val('Lưu ảnh 📷').button("refresh");
        $("#btn_save_video").val('Lưu video 🎥').button("refresh");
        $("#btn_listen").val('Nghe 🔊').button("refresh");
        $("#zoom").text('Thu phóng 🔍')
        $("#resolution").text('Độ phân giải camera');
        $("#error_camera").text('เLỗi kết nối với BabyCam');
        $("#error_camera2").text('Kiểm tra xem thiết bị của bạn có bị ngắt kết nối không');
    }
}